# 常见编程概念

**Common Programming Concepts**


本章介绍几乎所有编程语言中都会出现的概念，以及它们在 Rust 中的工作原理。许多编程语言，在其核心都有许多共同点。本章介绍的概念都不是 Rust 所独有的，但我们会在 Rust 的上下文中讨论这些概念，并解释使用这些概念的惯例。

具体来说，咱们将了解变量、基本类型、函数、注释和控制流等。每个 Rust 程序中，都会有这些基础知识，及早掌握他们，将为咱们的起步打下坚实的基础。

> **关键字，keywords**
>
> 与其他语言一样，Rust 语言也有一套仅供这门语言使用的 *关键字，keywords*。请记住，咱们不能将这些关键字，用作变量或函数的名字。大多数关键字，都有特殊含义，而咱们将在咱们的 Rust 程序中，使用他们完成各种任务；少数关键字目前没有与其相关的功能，但已被保留用于将来可能添加到 Rust 中的功能。咱们可以在 [附录 A](appendix/keywords.md) 中，找到这些关键字的列表。
